createFile

Prev Next

Available in Classic and VPC

Upload any files you need for purposes like email attachments.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /files

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request body

The following describes the request body.

Field Type Required Description
fileList File Required File to upload

Request example

The following is a sample request.

curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/files' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--form 'fileList=@"/E:/desktop/test.txt"'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
tempRequestId String - Temporary request ID created upon file upload
  • It can be used to view or delete the file
files List - List of file to upload
  • File size for email attachments must be 10 MB or less
  • See AttachFile

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "tempRequestId":"f355aac1-7776-4c0b-8484-20eaa065cb65-99",
  "files":[
    {
      "fileName":"test.txt",
      "fileSize":16,
      "fileId":"40fe58bd-91fe-4f89-a62e-705a7c17d65e-99"
    }
  ]
}